<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once '../common/begin.php';

header('Content-Type: application/xml; charset=UTF-8');

try
{
	checa_permissao(TipoUsuario::ADMINISTRADOR);

	$login = $_POST['username'];
	$senha = $_POST['senha'];
	$conf_senha = $_POST['conf_senha'];
	$idunidade = $_POST['idunidade'];

	if($conf_senha != $senha)
		throw new Exception("A senha e a sua confirmação não batem");

	if(empty($senha))
		throw new Exception("A senha deve ser especificada");

	$dbuser = new Usuario();
	$dbuser->login = $login;
	$dbuser->idtipo = $_POST['idtipo'];
	$dbuser->senha = sha1($senha);
	$dbuser->idunidade = $idunidade;
	$dbuser->save();
	echo <<<EOT
<result code="ok">
	<usuario id="$dbuser->id">
		<username> $login </username>
		<unidade> {$dbuser->unidade->nome_fantasia} </unidade>
	</usuario>
</result>
EOT;
}
catch(Exception $e)
{
	echo <<<EOT
<result code="error">
	<message> 
		{$e->getMessage()}
	</message>
</result>
EOT;
}
